/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Event Recorder and Component Viewer", "index.html", [
    [ "Content", "index.html#autotoc_md0", null ],
    [ "Overview", "er_overview.html", [
      [ "About Component Viewer", "er_overview.html#autotoc_md1", null ],
      [ "About Event Recorder", "er_overview.html#autotoc_md2", null ],
      [ "About Event Statistics", "er_overview.html#autotoc_md3", null ]
    ] ],
    [ "Revision History", "er_rev_history.html", null ],
    [ "Event Recorder: Theory of operation", "er_theory.html", [
      [ "Configuration", "er_theory.html#er_config", [
        [ "Event id", "er_theory.html#autotoc_md4", null ],
        [ "Time stamp source", "er_theory.html#autotoc_md5", null ],
        [ "Configure for targets without DWT Cycle Counter (Cortex-M0/M0+/M23)", "er_theory.html#autotoc_md6", null ],
        [ "DWT Cycle Counter with µVision simulator", "er_theory.html#autotoc_md7", null ]
      ] ],
      [ "Resource requirements", "er_theory.html#er_req", null ]
    ] ],
    [ "Using Component Viewer", "cv_use.html", [
      [ "Static Component Information", "cv_use.html#cv_static_information", null ]
    ] ],
    [ "Using Event Recorder", "er_use.html", [
      [ "Add Event Recorder", "er_use.html#Add_Event_Recorder", null ],
      [ "Locate Event Recorder in uninitialized memory", "er_use.html#place_uninit_memory", [
        [ "Calculate memory requirements", "er_use.html#autotoc_md8", null ],
        [ "Create memory region", "er_use.html#autotoc_md9", null ]
      ] ],
      [ "Time Stamp Settings", "er_use.html#initial_timestamp", null ],
      [ "Event Recorder heartbeat", "er_use.html#heartbeat", null ],
      [ "Event Annotations", "er_use.html#Event_Annotations", null ],
      [ "Format Event Information", "er_use.html#Format_Event_Information", null ],
      [ "Software Component Variants", "er_use.html#Debug_Variants", null ],
      [ "Redirecting printf output", "er_use.html#printf_redirect", null ],
      [ "Event filtering", "er_use.html#er_filtering", null ],
      [ "Semihosting", "er_use.html#er_semihosting", null ]
    ] ],
    [ "Using Event Statistics", "es_use.html", [
      [ "Display current consumption", "es_use.html#es_display_energy", null ]
    ] ],
    [ "Examples", "ExampleProjects.html", "ExampleProjects" ],
    [ "SCVD File Format", "SCVD_Format.html", "SCVD_Format" ],
    [ "Reference", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"ExampleProjects.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';